Name:		dmlite-plugins-memcache
Version:	0.5.0
Release:	4%{?dist}
Summary:	Memcached plugin for dmlite
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-memcache/tags/dmlite-plugins-memcache_0_5_0 dmlite-plugins-memcache-0.5.0
# tar -czvf dmlite-plugins-memcache-0.5.0.tar.gz dmlite-plugins-memcache-0.5.0
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:	boost-devel >= 1.41.0
%else
BuildRequires:	boost141-devel
%endif
BuildRequires:	cmake
BuildRequires:	dmlite-devel >= 0.6.0
BuildRequires:	libmemcached-devel
BuildRequires:	protobuf-devel

%description
This package provides the memcached plug-in for dmlite. It provides a
memcached based implementation of the NS interface.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_libdir}/dmlite/plugin_memcache.so
%doc LICENSE README RELEASE-NOTES
%config(noreplace) %{_sysconfdir}/dmlite.conf.d/*

%changelog
* Mon Mar 11 2013 Alejandro Alvarez Ayllon <aalvarez@cern.ch> - 0.5.0-4
- Rebuilt for protobuf 2.5.0 update (ABI upgraded to .8)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 18 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.5.0-2
- Rebuild for dmlite 0.6 update

* Thu Oct 25 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.5.0-1
- Update for new upstream release

* Tue Sep 25 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-1
- Update for new upstream release

* Wed Apr 11 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.3.0-1
- Initial build after dmlite package split
